> For the complete documentation index, see [llms.txt](https://docs.sola.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sola.security/integrations/data-sources/snowflake.md).

# Snowflake

## Overview <a href="#overview" id="overview"></a>

The Snowflake integration allows you to query and analyze data directly from your warehouse in real time. Turn live data into easy to use natural language security investigations and context.

With the Snowflake integration, you can:

* Query and analyze your Snowflake data directly in Sola in real time, with no scheduled syncs or data exports.
* Get contextual insights based on live data to support faster investigation and decision-making.
* Correlate Snowflake data with activity across your cloud, identity, and SaaS environment.
* Ask natural language questions about your Snowflake data directly in Sola.

{% hint style="warning" %}
**Your data can only be retrieved, never modified.**

Once connected, your data is securely stored, and access is restricted to retrieving configurations and metadata only. Authentication methods ensure secure delegation of permissions while maintaining data integrity.
{% endhint %}

## Set up Google Sheets data source integration with Sola <a href="#set-up-wiz-data-source-integration-with-sola" id="set-up-wiz-data-source-integration-with-sola"></a>

{% columns %}
{% column width="66.66666666666666%" %}
Go to ***Integrations*** > [***Data Sources***](https://app.sola.security/integrations/data-sources) > click ***New data source*** > select ***Snowflake***.

*The Sola wizard will take you through the steps.*
{% endcolumn %}

{% column width="33.33333333333334%" %} <a href="https://app.sola.security/integrations/data-sources?integration=snowflake" class="button primary">Set up Snowflake -></a>
{% endcolumn %}
{% endcolumns %}

To connect Snowflake, you'll need **SECURITYADMIN** privileges in your Snowflake account.

{% tabs %}
{% tab title="Workload Identity Federation" %}
This method uses AWS Workload Identity Federation to authenticate Sola to your Snowflake account without storing credentials. Recommended for publicly accessible Snowflake accounts.

{% hint style="info" %}
This method uses a script to create a role that has access to all tables and all future tables. To limit access, manage role permissions directly in the [Snowflake UI](https://docs.snowflake.com/en/user-guide/tutorials/users-and-roles-tutorial#prerequisites), or modify the script to specific schemas or tables before running. For example:

`GRANT USAGE ON SCHEMA my_database.my_schema TO ROLE SOLA_READ_ROLE;`

`GRANT SELECT ON TABLE my_database.my_schema.my_table TO ROLE SOLA_READ_ROLE;`
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sola.security/integrations/data-sources/snowflake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
